function cinematic_videos_openNav() {
  jQuery(".sidenav").addClass('show');
}
function cinematic_videos_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function cinematic_videos_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const cinematic_videos_nav = document.querySelector( '.sidenav' );

      if ( ! cinematic_videos_nav || ! cinematic_videos_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...cinematic_videos_nav.querySelectorAll( 'input, a, button' )],
        cinematic_videos_lastEl = elements[ elements.length - 1 ],
        cinematic_videos_firstEl = elements[0],
        cinematic_videos_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && cinematic_videos_lastEl === cinematic_videos_activeEl ) {
        e.preventDefault();
        cinematic_videos_firstEl.focus();
      }

      if ( shiftKey && tabKey && cinematic_videos_firstEl === cinematic_videos_activeEl ) {
        e.preventDefault();
        cinematic_videos_lastEl.focus();
      }
    } );
  }
  cinematic_videos_keepFocusInMenu();
} )( window, document );

var cinematic_videos_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    cinematic_videos_btn.addClass('show');
  } else {
    cinematic_videos_btn.removeClass('show');
  }
});

cinematic_videos_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fas fa-arrow-right" aria-hidden="true"></i>','<i class="fas fa-arrow-left" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

jQuery(".navbar-brand h1.site-title a, p.site-title a").html(function(){
  var text2 = jQuery(this).text().trim().split(" ");
  var lastWord = text2.pop(); // Remove and store the last word

  if(text2.length > 0) {
      var remainingText = text2.join(" ");
      return `${remainingText} <span class='last_slide_head'>${lastWord}</span>`;
  } else {
      return `<span class='last_slide_head'>${lastWord}</span>`;
  }
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});